Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditPanel.ObjTNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          ix.util.xml.XMLTreeEditPanel.TNode
              ix.util.xml.XMLTreeEditPanel.ObjTNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Enclosing class:
  XMLTreeEditPanel

     class XMLTreeEditPanel.ObjTNode

extends XMLTreeEditPanel.TNode

A TNode in the namespace used for object class and field names.

Field Summary

Fields inherited from class ix.util.xml.XMLTreeEditPanel.TNode
`namespace, renderingText, shouldBeExpanded`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`XMLTreeEditPanel.ObjTNode(java.lang.String userObject)`

Method Summary

Methods inherited from class ix.util.xml.XMLTreeEditPanel.TNode
`copySubtree, expandSubtree, getNamespace, getTreePath, setNamespace, setShouldBeExpanded, setSubtreeShouldBeExpanded, setUserObject, shouldBeExpanded`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLTreeEditPanel.ObjTNode

    XMLTreeEditPanel.ObjTNode(java.lang.String userObject)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD